#
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

#
# csm_common.pl - config variable and common functions used by the CSM scripts.
#

# BEFORE requiring this file, Perl scripts should set the following
# variables.  In each case, SCRIPTNAME is the base name of the script,
# minus ".pl".  E.g. for /opt/CSM/scripts/setup.pl, use "setup".
#
#   @SCRIPTNAME_opts = ("opt1", "opt2", ...)
#       Options specific to this script.  see Getopt::Long.
#   $SCRIPTNAME_usage = "SCRIPTNAME>pl [ --opt1 | --opt2 } filename"
#       Usage message specific to this script.  csm_common will
#       add on common options like --admin so you don't have to include
#       them here.

BEGIN { warn "csm_common.pl IS DEPRECATED!  CHANGE $0 TO 'use ASM::Common'!\n "; }
use ASM::Common;
chop($script_name = `basename $0 .pl`);  # get actual name of the running script
@opts = eval("\@::${script_name}_opts");
commonInit( \@opts, eval("\$${script_name}_usage"));
1;
