#!/bin/sh
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#


# ----------------------------------------------------------------------
# This is the default Java Home
# ----------------------------------------------------------------------

if [ -z $JAVA_HOME ]; then
    export JAVA_HOME=/opt/ibm-jdk-l118/
fi

# ----------------------------------------------------------------------
# Determine IKEYMAN_HOME
# ----------------------------------------------------------------------
if [ -z $IKEYMAN_HOME ]; then
    export IKEYMAN_HOME=/usr/local/ibm/gsk4
fi

# ----------------------------------------------------------------------
# Set IKEYMAN environment
# ----------------------------------------------------------------------

export IKEYMAN_CLASS_DIR=$IKEYMAN_HOME/classes
export CLASSPATH=$JAVA_HOME/lib/classes.zip
export CLASSPATH=$CLASSPATH:$IKEYMAN_CLASS_DIR/gsk4cls.jar:$IKEYMAN_CLASS_DIR/cfwk.zip
export CLASSPATH=$CLASSPATH:/opt/IBMWebAS/servlets/eSPConfig.jar
    
#/opt/CSM/scripts/manageSSLCert.pl $*
args=" "
for var in "$@"
do
    args="$args $var"
done
$JAVA_HOME/bin/java -classpath ${CLASSPATH} com.ibm.esp.ssl.SSLCertMgr $args
exit $?





