#!/bin/sh
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
cd /opt/IBMWebAS/bin/debug
. $PWD/../setupCmdLine.sh

# setup the classpath
WAS_CP=$WAS_HOME/lib/servlet.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/dertrjrt.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ibmwebas.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/lotusxsl.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/compat.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xalan.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/xml4j.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/x509v1.jar

# The following line is needed for EPM instrumentation
WAS_CP=$WAS_CP:$WAS_HOME/lib/ujc.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/ejs.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/console.jar
WAS_CP=$WAS_CP:$WAS_HOME/lib/dertrjrt.jar
WAS_CP=$WAS_CP:$WAS_HOME/properties
WAS_CP=$WAS_CP:$JAVA_HOME/lib/tools.jar

WAS_CP=$WAS_CP:$WAS_HOME/hosts/default_host/default_app/servlets

WAS_CP=$WAS_CP:$WAS_HOME/classes/CSMclasses.jar
WAS_CP=$WAS_CP:/usr/local/ibm/gsk4/classes/gsk4cls.jar
WAS_CP=$WAS_CP:/usr/local/ibm/gsk4/classes/cfwk.zip

export CLASSPATH=$WAS_CP            

LP=$JAVA_HOME/lib/linux/native_threads
LP=$LP:$WAS_HOME/bin
LP=$LP:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$LP

# execute the WASRunner
exec $JAVA_HOME/bin/java com.ibm.servlet.engine.ServletEngine -serverRoot $WAS_HOME $1 $2 $3 $4 $5 $6 $7 $8 $9 >>/opt/IBMWebAS/logs/stdout.log 2>>/opt/IBMWebAS/logs/stderr.log
