#!/bin/bash
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

# asm.logrotate

# Invoked once an hour or so,
# runs logrotate against our various config files if they exist.

config_files=""

for i in /etc/logrotate.d/{asm,asmhttpd,ihs,websphere}
do
  if [ -f $i ] ; then
     config_files="$config_files $i"
  fi
done

if [ "$config_files" != "" ] ; then
  /usr/sbin/logrotate $config_files
fi
