#!/usr/bin/perl -w
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
use Getopt::Std;

#################################
#DIRECTORY & FILES STRUCTURE
#################################
my($basedir)            = "/opt/CSM";
my($datadir) 		= "/data/status";

my(@filename);
my($k)=0;


#NOTE THIS ONLY PICKS UP THINGS WITH AN EXTENSION.  EG "NOW" IS NOT PICKED UP.
while (<$basedir$datadir/*.*>) {
   $filename[$k]=$_;
   $k++;
}

foreach my $fileN (sort {(stat($b))[9] <=> (stat($a))[9]} @filename) {
   # STRIP OFF THE PATH NAMES OF THE FILE.
   $fileN=~s/$basedir$datadir\///i;

   # STRIP OUT THE PERIODS AND REPLACE WITH SPACES.
   $Name=$fileN;
   $fileN=~s/\./ /g;
   print "$fileN\n";
}
