#!/usr/bin/perl
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

#  Find all ASM Locale RPMs that are installed on the system.
#  Each ASM Locale rpm should be named with the following format:
#     ibmasm-<locale name>
#        where    <locale name>     Valid Locale code (Ex:  en_US)
#
foreach $rpm (`rpm -q -a --queryformat \"%{NAME}\n\" |grep ibmasm`)
{
   chomp($rpm);
   ($locale) = $rpm =~ /ibmasm-(.*)/;
   if ($locale ne "")
   {
      print $locale . "\n"
   }
}

